package com.unicms.config.web;


import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

/**
 * Created by Dmitriy S. Porollo on 20.06.2015.
 */

@Controller
public class UniCmsController {

    private static final String UNICMS = "UniCMS";
    private static final String PHOTOHOST = "PhotoHost";
    private static final String SIGN_IN = "Sign In";
    private static final String ABOUT = "About";


    @RequestMapping(value = "/", method = RequestMethod.GET)
    public ModelAndView indexPage() {

        ModelAndView model = new ModelAndView();
        model.addObject("title", UNICMS);
        model.addObject("photohost", PHOTOHOST);
        model.addObject("signin", SIGN_IN);
        model.addObject("about", ABOUT);
        model.addObject("message", "Public Page !");
        model.setViewName("index");
        return model;
    }

    @RequestMapping(value = "/admin**", method = RequestMethod.GET)
    public ModelAndView protectedPage() {

        ModelAndView model = new ModelAndView();
        model.addObject("title", UNICMS);
        model.addObject("message", "This is Admin page !");
        model.setViewName("admin");
        return model;

    }
    @RequestMapping(value = "/superadmin**", method = RequestMethod.GET)
    public ModelAndView superAdminPage() {

        ModelAndView model = new ModelAndView();
        model.addObject("title", UNICMS);
        model.addObject("message", "This is Superadmin page !");
        model.setViewName("superadmin");
        return model;
    }
}


